openSUSE Security Update : nbd (openSUSE-SU-2011:0193-2)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Nbd was updated to fix a buffer overflow in the mainloop() function of
nbd-server.c. This vulnerability can be exploited by remote attackers
via long requests to execute arbitrary code. (CVE-2011-0530: CVSS v2
Base Score: 7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P): Buffer Errors (CWE-119))

See also :

http://lists.opensuse.org/opensuse-updates/2011-04/msg00044.html
https://bugzilla.novell.com/show_bug.cgi?id=674281

Solution :

Update the affected nbd packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75973 ()

Bugtraq ID:

CVE ID: CVE-2011-0530

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now